org.apache.ignite.internal.processors.cache

## Interface GridCacheAtomicFuture<R>

All Superinterfaces:
  GridCacheFuture<R>, IgniteInternalFuture<R>

All Known Implementing Classes:
  GridDhtAtomicUpdateFuture, GridNearAtomicUpdateFuture

    public interface GridCacheAtomicFuture<R>
    extends GridCacheFuture<R>

Update future for atomic cache.

### Method Summary

Methods
`void` `checkTimeout(long timeout)` Checks if timeout occurred.
`Collection<?>` `keys()`
`AffinityTopologyVersion` `topologyVersion()`
`boolean` `waitForPartitionExchange()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`futureId, markNotTrackable, nodes, onNodeLeft, trackable, version`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, duration, error, get, get, get, isCancelled, isDone, listen, result, startTime`

### Method Detail

#### waitForPartitionExchange

    boolean waitForPartitionExchange()

Returns:
  `True` if partition exchange should wait for this future to complete.

#### topologyVersion

    AffinityTopologyVersion topologyVersion()

Returns:
  Future topology version.

#### keys

    Collection<?> keys()

Returns:
  Future keys.

#### checkTimeout

    void checkTimeout(long timeout)

Checks if timeout occurred.

Parameters:
  `timeout` - Timeout to check.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015